@import '../../../../assets/style/variables.scss';

.dropDownBlock{
    position: relative;
    margin-bottom: 1rem;
    .dropDownBlock__content{
        overflow: hidden;
        max-height: 200px;
        transition: all .8s;
        
    }

    .dropDownBlock__btn{
        width: 100%;
        position: absolute;
        bottom: 0;
        text-align: center;
        font-size: 1rem;
        font-weight: bold;
        cursor: pointer;

        .dropDownBlock__btn__bottom{
            width: 100%;
            height:  5px;
            background: $secondaryBg;
            opacity: .5;
            box-shadow: 0px -4px 5px rgba($secondaryBg, 0.8);
            &:hover{
            background:  darken($primary, 10%);
            transition: opacity 1s;

            }
    
        }
        span {
            display: inline-block;
            transform: translateY(105%);
            width: 100%;
            color: $secondary;
            &:hover{
            color: darken($primary, 10%);

            }
        }
        &:hover{
            span {
            color: $primary;
            
            }
            .dropDownBlock__btn__bottom{
                background:  $primary;
                box-shadow: 0px -4px 5px rgba($primary, 0.8);
    
                }   
        }
    }
}
